GZEXE(1)

NAZWA
gzexe - kompresuje pliki wykonywalne

SKŁADNIA
gzexe nazwa ...

OPIS
Narzędzie gzexe umożliwia kompresowanie plików wykonywalnych, a następnie ich automatyczną dekompresję po uruchomieniu archiwum (oczywiście z utratą prędkości wywołania). Na przykład, jeśli wywoła się "gzexe /usr/bin/gdb", to utworzone zostaną następujące pliki:
    -rwxr-xr-x  1 root root 1026675 Jun  7 13:53 /usr/bin/gdb
    -rwxr-xr-x  1 root root 2304524 May 30 13:02 /usr/bin/gdb~
/usr/bin/gdb~ jest plikiem oryginalnym, a /usr/bin/gdb jest samorozpakowującym się plikiem wykonywalnym. Po upewnieniu się że /usr/bin/gdb działa poprawnie można usunąć plik /usr/bin/gdb~.

Narzędzie to jest najbardziej przydatne na systemach z bardzo małymi dyskami.

OPCJE

-d  Dekompresuje podane pliki wykonywalne zamiast je kompresować.

ZOBACZ TAKŻE
gzip(1), znew(1), zmore(1), zcmp(1), zforce(1)

NIEDOSKONAŁOŚCI
Plik skompresowany jest skryptem powłoki. Może to powodować pewne dziury bezpieczeństwa. W szczególności skompresowany plik wykonywalny używa zmiennej PATH, aby znaleźć program gzip i niektóre inne standardowe narzędzia (basename, chmod, ln, mkdir, mktemp, rm, sleep oraz tail).

BŁĘDY
gzexe próbuje odtworzyć atrybuty oryginalnych plików na skompresowanym pliku wykonywalnym, lecz czasem będzie trzeba poprawić ręcznie, przy użyciu chmod lub chown.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl> i Robert Luberda <robert@debian.org> Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI. Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres manpages-pl-list@lists.sourceforge.net.